<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for milestone in project package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  milestone module in project package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Milestone',
    'names'         => 'Milestones',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Milestones',
        'sub'   => 'Milestones',
        'list'  => 'List of milestones',
        'edit'  => 'Edit milestone',
        'create'    => 'Create new milestone'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'link_payment'        => ['Yes','No'],
            'signoff_recvd'       => ['Yes','No'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'project_id'                 => 'Please enter project id',
        'name'                       => 'Please enter name',
        'link_payment'               => 'Please select link payment',
        'signoff_recvd'              => 'Please select signoff recvd',
        'signoff_date'               => 'Please select signoff date',
        'remarks'                    => 'Please enter remarks',
        'followup'                   => 'Please enter followup',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'deleted_at'                 => 'Please select deleted at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'project_id'                 => 'Project id',
        'name'                       => 'Name',
        'link_payment'               => 'Link payment',
        'signoff_recvd'              => 'Signoff recvd',
        'signoff_date'               => 'Signoff date',
        'remarks'                    => 'Remarks',
        'followup'                   => 'Followup',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'deleted_at'                 => 'Deleted at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'project_id'                 => ['name' => 'Project id', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Milestones',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
